org.keycloak.authentication.actiontoken.resetcred

## Class ResetCredentialsActionTokenHandler

- java.lang.Object
- - org.keycloak.authentication.actiontoken.AbstractActionTokenHander<ResetCredentialsActionToken>
  - - org.keycloak.authentication.actiontoken.resetcred.ResetCredentialsActionTokenHandler

- All Implemented Interfaces:
    ActionTokenHandler<ResetCredentialsActionToken>, ActionTokenHandlerFactory<ResetCredentialsActionToken>, Provider, ProviderFactory<ActionTokenHandler<ResetCredentialsActionToken>>

      public class ResetCredentialsActionTokenHandler
      extends AbstractActionTokenHander<ResetCredentialsActionToken>

  Author:
    hmlnarik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResetCredentialsActionTokenHandler.ResetCredsAuthenticationProcessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResetCredentialsActionTokenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canUseTokenRepeatedly(ResetCredentialsActionToken token, ActionTokenContext tokenContext)` Returns `true` when the token can be used repeatedly to invoke the action, `false` when the token is intended to be for single use only.
    `TokenVerifier.Predicate<? super ResetCredentialsActionToken>[]` | `getVerifiers(ActionTokenContext<ResetCredentialsActionToken> tokenContext)` Returns an array of verifiers that are tested prior to handling the token.
    `javax.ws.rs.core.Response` | `handleToken(ResetCredentialsActionToken token, ActionTokenContext tokenContext)` Performs the action as per the token details.

    - ### Methods inherited from class org.keycloak.authentication.actiontoken.AbstractActionTokenHander

      `close, create, eventType, getAuthenticationSessionIdFromToken, getDefaultErrorMessage, getDefaultEventError, getId, getTokenClass, init, postInit, startFreshAuthenticationSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### ResetCredentialsActionTokenHandler

          public ResetCredentialsActionTokenHandler()

  - ### Method Detail

    - #### getVerifiers

          public TokenVerifier.Predicate<? super ResetCredentialsActionToken>[] getVerifiers(ActionTokenContext<ResetCredentialsActionToken> tokenContext)

      Description copied from interface: `ActionTokenHandler`
      Returns an array of verifiers that are tested prior to handling the token. All verifiers have to pass successfully for token to be handled. The returned array must not be `null`.
      Returns:
        Verifiers or an empty array. The returned array must not be `null`.

    - #### handleToken

          public javax.ws.rs.core.Response handleToken(ResetCredentialsActionToken token,
                                                       ActionTokenContext tokenContext)

      Description copied from interface: `ActionTokenHandler`
      Performs the action as per the token details. This method is only called if all verifiers returned in `ActionTokenHandler.handleToken(T, org.keycloak.authentication.actiontoken.ActionTokenContext<T>)` succeed.
      Returns:

    - #### canUseTokenRepeatedly

          public boolean canUseTokenRepeatedly(ResetCredentialsActionToken token,
                                               ActionTokenContext tokenContext)

      Description copied from interface: `ActionTokenHandler`
      Returns `true` when the token can be used repeatedly to invoke the action, `false` when the token is intended to be for single use only.
      Specified by:
        `canUseTokenRepeatedly` in interface `ActionTokenHandler<ResetCredentialsActionToken>`
      Overrides:
        `canUseTokenRepeatedly` in class `AbstractActionTokenHander<ResetCredentialsActionToken>`
      Returns:
        see above

Copyright © 2021 JBoss by Red Hat. All rights reserved.